%define name    sord
%define version 0.15.1git.b1d631
%define release 11

Name: sord
Version: 0.15.1git.b1d631
Release: 11.rncbc.suse
Summary: Lightweight C library for storing RDF data in memory

%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}-0
%define _lib_name_devel lib%{name}-devel

Source: http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL: http://drobilla.net/software/
License: MIT
Group: System/Libraries
BuildRequires: pkgconfig python python-rdflib gcc-c++ pcre-devel
BuildRequires: glib2-devel
BuildRequires: libserd-devel >= 0.18.0

%description
Lightweight C library for storing RDF data in memory.

%files -n %{name}
%defattr(-,root,root,-)
%doc %{_mandir}/man1/sordi.*
%{_bindir}/sordi

#-----------------------------------
%package -n %{_lib_name}

Summary: Lightweight RDF syntax library
Group: System/Libraries

%description -n %{_lib_name}
Lightweight C library for storing RDF data in memory.

%files -n %{_lib_name}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so.*

#-----------------------------------
%package -n %{_lib_name_devel}
Summary: Headers for the sord RDF storage library
Group: System/Libraries
Requires: %{_lib_name} = %{version}-%{release}
Requires: pkgconfig
Provides: %{name}-devel = %{version}-%{release}

%description -n %{_lib_name_devel}
Development files needed to build applications against sord.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so
%dir %{_includedir}/%{name}-%{_lib_major}/
%dir %{_includedir}/%{name}-%{_lib_major}/%{name}
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.h
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc
%{_bindir}/sord_validate
%{_mandir}/man1/sord_validate.1.gz

#-----------------------------------
%prep
%setup -q

%build
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

%clean
rm -rf %{buildroot}


%post   -n %{_lib_name} -p /sbin/ldconfig
%postun -n %{_lib_name} -p /sbin/ldconfig

#-----------------------------------
%changelog

* Tue Jul 12 2016 Rui Nuno Capela <rncbc@rncbc.org> - 0.15.1git
- Latest git snapshot.
* Sun Nov 15 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.14.1git
- New git snapshot.
* Thu Oct 08 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.14.0
- New upstream release.
* Wed Nov 26 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.12.2
- OBS snapshot update.
